class Array:

    def __init__(self, size, default=None):
        self.size = size
        self.default = default
        self._values = [self.default for i in range(self.size)]

    def clear(self):
        for i in range(self.size):
            self._values[i] = self.default

    def __setitem__(self, index, value):
        self._values[index] = value

    def __getitem__(self, index):
        return self._values[index]

    def __str__(self):
        return str(self._values)

    def __repr__(self):
        return str(self._values)

    def __len__(self):
        return len(self._values)
